org.slf4j.impl

## Class MultithreadedInitializationTest.StringPrintStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.PrintStream
      - - org.slf4j.impl.MultithreadedInitializationTest.StringPrintStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable
  Enclosing class:
    MultithreadedInitializationTest

      public static class MultithreadedInitializationTest.StringPrintStream
      extends PrintStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LINE_SEP`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultithreadedInitializationTest.StringPrintStream(PrintStream ps)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `print(String s)`
    `void` | `println(Object o)`
    `void` | `println(String s)`

    - ### Methods inherited from class java.io.PrintStream

      `append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, setError, write, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_SEP

          public static final String LINE_SEP

  - ### Constructor Detail

    - #### MultithreadedInitializationTest.StringPrintStream

          public MultithreadedInitializationTest.StringPrintStream(PrintStream ps)

  - ### Method Detail

    - #### print

          public void print(String s)

      Overrides:
        `print` in class `PrintStream`

    - #### println

          public void println(String s)

      Overrides:
        `println` in class `PrintStream`

    - #### println

          public void println(Object o)

      Overrides:
        `println` in class `PrintStream`

Copyright © 2005–2017 QOS.ch. All rights reserved.